/*
 * Copyright 2002 Farfpeuf/ AdetSoft. All rights reserved.
 * Use is subject to license terms.
 */
package fb.gui.widgets;
import java.awt.event.ItemEvent;
import java.awt.event.ItemListener;
/**
 * an item listener used to perform action in a new thread
 * @author Farfpeuf
 */
public class SelectableListener implements ItemListener {
	/**
	 * the thread action
	 * 
	 */
	public void threadedItemStateChanged() {
	}
	/**
	 * perform action in a new thread
	 */
	public void itemStateChanged(ItemEvent e) {
		if (e.getStateChange() == ItemEvent.SELECTED) {
			Thread t = new Thread() {
				public void run() {
					threadedItemStateChanged();
				}
			};
			t.start();
		}
	}
}