/*
 * Copyright 2002 Farfpeuf/ AdetSoft. All rights reserved.
 * Use is subject to license terms.
 */
package fb.gui.panels;

import fb.gui.widgets.SpellButton;
import fb.spells.BannishDaemon;
import fb.spells.EnergyBall;
import fb.spells.Lightnings;
import fb.spells.MagicShield;
import fb.spells.SummonDaemon;
import fb.spells.Telepathy;
import fb.util.Resources;
/**
 * panel to choose a wizard spell
 * @author farfpeuf
 *
 */
public class WizardSpellPanel extends SpellCasterPanel {
	/**
	 * create all the buttons available in the panel
	 *
	 */
	public void createButtons(){
		
		buttons = new SpellButton[]{
				new SpellButton(new EnergyBall()),
				new SpellButton(new Lightnings()),
				new SpellButton(new SummonDaemon()),
				new SpellButton(new BannishDaemon()),
				new SpellButton(new MagicShield()),
				new SpellButton(new Telepathy()),
        };
        buttons[0].setToolTipText(Resources.getString("energyball.tt"));
        buttons[1].setToolTipText(Resources.getString("lightning.tt"));
        buttons[2].setToolTipText(Resources.getString("summon.tt"));
        buttons[3].setToolTipText(Resources.getString("bannish.tt"));
        buttons[4].setToolTipText(Resources.getString("magicshield.tt"));
		buttons[5].setToolTipText(Resources.getString("transmission.tt"));
      
	}
}