/*
 * Copyright 2002 Farfpeuf/ AdetSoft. All rights reserved.
 * Use is subject to license terms.
 */
package fb.util;

/**
 * a 100-sided dice
 * 
 * @author farfpeuf
 * 
 */
public class D100 {
	/**
	 * fumble rolls superior limit
	 */
	public static final int FUMBLE = 10;

	/**
	 * lucky rolls inferior limit
	 */
	public static final int LUCKY = 90;

	/**
	 * roll the dice
	 * 
	 * @return the dice score
	 */
	public static int roll() {
		return DX.roll(100);
	}

}
